from datetime import datetime, timedelta

KBITS = 128


bytes_per_second = KBITS * 1000 // 8

start = datetime.now().replace(minute=0, second=0) - timedelta(hours=3)
end = start + timedelta(hours=6)
delta = timedelta(hours=1)

t = start
while t < end:
    fn = 'tmp/qfhi-{:04d}{:02d}{:02d}-{:02d}{:02d}.mp3'.format(
            t.year, t.month, t.day, t.hour, t.minute)
    print(fn)
    f = open(fn, 'w')
    f.write('\0' * (int(delta.total_seconds()) * bytes_per_second))
    f.close()

    t += delta
